# -*- coding: utf-8 *-*

# Copyright 2012 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""The user interface for the control panel for Ubuntu One."""

from ubuntuone.controlpanel.logger import setup_logging
from ubuntuone.controlpanel.gui import (
    SEARCH_FILES,
    SHARED_FILES,
)

from ubuntuone.controlpanel.gui.qt.ui import share_links_ui
from ubuntuone.controlpanel.gui.qt.ubuntuonebin import UbuntuOneBin


logger = setup_logging('qt.share_links')


class ShareLinksPanel(UbuntuOneBin):
    """The Share Links Tab Panel widget"""

    ui_class = share_links_ui
    logger = logger

    def _setup(self):
        """Do some extra setupping for the UI."""
        super(ShareLinksPanel, self)._setup()
        self.ui.search_files_lbl.setText(SEARCH_FILES)
        self.ui.shared_group.setTitle(SHARED_FILES)
